Authentication

Get current user information

GET
/auth/me

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Response Body

Successful Response

application/json
  1. response
username*Username

Username of the user.

email*Email

Email of the user.

name*|

Name of the user.

surname*|

Surname of the user.

verified*Verified

Whether the user is verified.

credits*Credits

Credits of the user.

contract*|

Contract type of the user.

affiliation*|

Company or organization affiliation.

address?|

Address for invoicing.

Defaultnull
country?|

Country for invoicing.

Defaultnull
vat_num?|

VAT number.

Defaultnull
groups*array<string>

Groups the user is a member of.

last_active*|

Last active timestamp of the user.

billing_destination?|

Current billing destination. None means billing defaults to the user.

Defaultnull
company_role?|

User's selected company role.

Defaultnull
company_type?|

User's selected company type.

Defaultnull
product_categories?array<string>|

User's selected product categories.

Defaultnull
target_audiences?array<string>|

User's selected target audiences.

Defaultnull
segment?|

User's selected market segment.

Defaultnull
use_cases?array<string>|

User's selected use cases.

Defaultnull
completion_email_mode?Completion Email Mode

When to email the user about completed jobs: off | first | every.

Default"first"
review_email_mode?Review Email Mode

Whether to email about review/retouch work: on | off. Only meaningful for reviewers and retouchers.

Default"on"
milestone_email_mode?Milestone Email Mode

Whether to email lapse-triggered milestone/nudge emails: on | off.

Default"on"
curl -X GET "https://example.com/auth/me"
{  "username": "string",  "email": "string",  "name": "string",  "surname": "string",  "verified": true,  "credits": 0,  "contract": "string",  "affiliation": "string",  "address": null,  "country": null,  "vat_num": null,  "groups": [    "string"  ],  "last_active": "string",  "billing_destination": null,  "company_role": null,  "company_type": null,  "product_categories": null,  "target_audiences": null,  "segment": null,  "use_cases": null,  "completion_email_mode": "first",  "review_email_mode": "on",  "milestone_email_mode": "on"}